View a markdown version of this page

StartEvaluationFormValidation - Amazon Connect Customer

StartEvaluationFormValidation

Starts an asynchronous validation process for an evaluation form version in the specified Connect Customer instance. The validation first performs structural checks on the form content (such as verifying required fields, valid scoring configuration, and correct conditional logic), then asynchronously analyzes questions configured for generative AI evaluation against a set of best practices. Use GetEvaluationFormValidation to retrieve the status and results once the validation completes.

Request Syntax

POST /evaluation-forms/InstanceId/EvaluationFormId/validate HTTP/1.1 Content-type: application/json { "EvaluationFormVersion": number }

URI Request Parameters

The request uses the following URI parameters.

EvaluationFormId

The unique identifier for the evaluation form.

Length Constraints: Minimum length of 1. Maximum length of 500.

Required: Yes

InstanceId

The identifier of the Connect Customer instance. You can find the instance ID in the Amazon Resource Name (ARN) of the instance.

Length Constraints: Minimum length of 1. Maximum length of 100.

Required: Yes

Request Body

The request accepts the following data in JSON format.

EvaluationFormVersion

The version of the evaluation form to validate.

Type: Integer

Required: Yes

Response Syntax

HTTP/1.1 200 Content-type: application/json { "EvaluationFormArn": "string", "EvaluationFormId": "string", "EvaluationFormVersion": number }

Response Elements

If the action is successful, the service sends back an HTTP 200 response.

The following data is returned in JSON format by the service.

EvaluationFormArn

The Amazon Resource Name (ARN) for the evaluation form resource.

Type: String

EvaluationFormId

The unique identifier for the evaluation form.

Type: String

Length Constraints: Minimum length of 1. Maximum length of 500.

EvaluationFormVersion

A version of the evaluation form.

Type: Integer

Errors

For information about the errors that are common to all actions, see Common Error Types.

InternalServiceException

Request processing failed because of an error or failure with the service.

Message

The message.

HTTP Status Code: 500

InvalidParameterException

One or more of the specified parameters are not valid.

Message

The message about the parameters.

HTTP Status Code: 400

ResourceConflictException

A resource already has that name.

HTTP Status Code: 409

ResourceNotFoundException

The specified resource was not found.

Message

The message about the resource.

HTTP Status Code: 404

ServiceQuotaExceededException

The service quota has been exceeded.

Reason

The reason for the exception.

HTTP Status Code: 402

ThrottlingException

The throttling limit has been exceeded.

HTTP Status Code: 429

Examples

Example

The following example starts a validation for version 1 of an evaluation form.

Sample Request

{ "InstanceId": "[instance_id]", "EvaluationFormId": "[evaluation_form_id]", "EvaluationFormVersion": 1 }

Sample Response

{ "EvaluationFormId": "[evaluation_form_id]", "EvaluationFormArn": "arn:aws:connect:[aws_region_code]:[account_id]:instance/[instance_id]/evaluation-form/[evaluation_form_id]", "EvaluationFormVersion": 1 }

See Also

For more information about using this API in one of the language-specific AWS SDKs, see the following: